Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.util
[Groovy] Class PatternSet

    java.lang.Object
      org.gradle.api.tasks.util.PatternSet

All Implemented Interfaces:
  AntBuilderAware, PatternFilterable

    class PatternSet

Authors:
  Hans Dockter

Property Summary
`boolean` | `caseSensitive`

Constructor Summary
`PatternSet()`
`PatternSet(Map args)`

Method Summary
`def` | `addToAntBuilder(def node, String childNodeName = null)`
`PatternSet` | `copyFrom(PatternFilterable sourcePattern)`
`boolean` | `equals(Object o)`
`PatternFilterable` | `exclude(String... excludes)`
`PatternFilterable` | `exclude(Iterable excludes)`
`PatternFilterable` | `exclude(Spec spec)`
`PatternFilterable` | `exclude(Closure closure)`
`PatternFilterable` | `excludeSpecs(Iterable excludes)`
`Spec` | `getAsSpec()`
`Set` | `getExcludeSpecs()`
`Set` | `getExcludes()`
`Set` | `getIncludeSpecs()`
`Set` | `getIncludes()`
`int` | `hashCode()`
`PatternFilterable` | `include(String... includes)`
`PatternFilterable` | `include(Iterable includes)`
`PatternFilterable` | `include(Spec spec)`
`PatternFilterable` | `include(Closure closure)`
`PatternFilterable` | `includeSpecs(Iterable includes)`
`PatternSet` | `intersect()`
`static def` | `resetGlobalExcludes()`
`PatternSet` | `setExcludes(Iterable excludes)`
`static def` | `setGlobalExcludes(Collection excludes)`
`PatternSet` | `setIncludes(Iterable includes)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### caseSensitive

    boolean caseSensitive

Constructor Detail

### PatternSet

    PatternSet()

### PatternSet

    PatternSet(Map args)

Method Detail

### addToAntBuilder

    def addToAntBuilder(def node, String childNodeName = null)

### copyFrom

    PatternSet copyFrom(PatternFilterable sourcePattern)

### equals

    boolean equals(Object o)

### exclude

    PatternFilterable exclude(String... excludes)

### exclude

    PatternFilterable exclude(Iterable excludes)

### exclude

    PatternFilterable exclude(Spec spec)

### exclude

    PatternFilterable exclude(Closure closure)

### excludeSpecs

    PatternFilterable excludeSpecs(Iterable excludes)

### getAsSpec

    Spec getAsSpec()

### getExcludeSpecs

    Set getExcludeSpecs()

### getExcludes

    Set getExcludes()

### getIncludeSpecs

    Set getIncludeSpecs()

### getIncludes

    Set getIncludes()

### hashCode

    int hashCode()

### include

    PatternFilterable include(String... includes)

### include

    PatternFilterable include(Iterable includes)

### include

    PatternFilterable include(Spec spec)

### include

    PatternFilterable include(Closure closure)

### includeSpecs

    PatternFilterable includeSpecs(Iterable includes)

### intersect

    PatternSet intersect()

### resetGlobalExcludes

    static def resetGlobalExcludes()

### setExcludes

    PatternSet setExcludes(Iterable excludes)

### setGlobalExcludes

    static def setGlobalExcludes(Collection excludes)

### setIncludes

    PatternSet setIncludes(Iterable includes)

Gradle API 1.1-rc-1